Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server
Interface RemoteServer

All Superinterfaces:
  Remote

All Known Implementing Classes:
  Server

    public interface RemoteServer

extends Remote

Method Summary
`boolean` | `allowsCreateUsers()`
`boolean` | `cancelShutdownProject(RemoteSession session, String projectName)`
`RemoteSession` | `cloneSession(RemoteSession session)`
`void` | `closeSession(RemoteSession session)`
`RemoteServerProject` | `createProject(String projectName, RemoteSession session, KnowledgeBaseFactory kbfactory, boolean saveToMetaProject)`
`boolean` | `createUser(String userName, String password)`
`Object` | `executeServerJob(ServerJob job, RemoteSession session)`
`Collection<Operation>` | `getAllowedOperations(RemoteSession session, String projectName, String userName)`
`Collection<ProjectInfo>` | `getAvailableProjectInfo(RemoteSession session)`
`Collection<String>` | `getAvailableProjectNames(RemoteSession session)`
`Collection<RemoteSession>` | `getCurrentSessions(String projectName, RemoteSession session)`
`ServerProject.ProjectStatus` | `getProjectStatus(String projectName)`
`boolean` | `hasValidCredentials(String userName, String password)`
`boolean` | `isGroupOperationAllowed(RemoteSession session, Operation op, String groupName)`
`boolean` | `isOperationAllowed(RemoteSession session, Operation op, String projectName)`
`boolean` | `isServerOperationAllowed(RemoteSession session, Operation op)`
`boolean` | `isServerOperationAllowed(RemoteSession session, Operation op, String serverName)`
`void` | `killOtherUserSession(RemoteSession sessionToKill, RemoteSession session)`
`void` | `killOtherUserSession(RemoteSession sessionToKill, RemoteSession session, int finalGracePeriod)`
`void` | `notifyProject(String projectName, String message, RemoteSession session)`
`RemoteServerProject` | `openMetaProject(RemoteSession session)`
`RemoteServerProject` | `openProject(String projectName, RemoteSession session)`
`RemoteSession` | `openSession(String username, String userMachine, String password)`
`void` | `reinitialize()`
`boolean` | `saveMetaProject(RemoteSession session)`
`void` | `setProjectStatus(String projectName, ServerProject.ProjectStatus status, RemoteSession session)`
`void` | `shutdown()`
`void` | `shutdown(String projectName, RemoteSession session)`
`void` | `shutdownProject(RemoteSession session, String projectName, float warningTimeInSeconds)` Shuts down the remote project with the name projectName and sends shutdown notifications at certain time periods: it starts with the warningTimeInSeconds argument and divides it by two.
`void` | `shutdownProject(RemoteSession session, String projectName, Integer[] warningTimesInSeconds, int finalGracePeriodInSeconds)` Shuts down the remote project with the name projectName and sends shutdown notifications at time periods (in seconds) from the warningTimesInSeconds argument.

Method Detail

### reinitialize

    void reinitialize()
                      throws RemoteException

  Throws:
    `RemoteException`

### createUser

    boolean createUser(String userName,
                       String password)
                       throws RemoteException

  Throws:
    `RemoteException`

### openSession

    RemoteSession openSession(String username,
                              String userMachine,
                              String password)
                              throws RemoteException

  Throws:
    `RemoteException`

### cloneSession

    RemoteSession cloneSession(RemoteSession session)
                               throws RemoteException

  Throws:
    `RemoteException`

### closeSession

    void closeSession(RemoteSession session)
                      throws RemoteException

  Throws:
    `RemoteException`

### getCurrentSessions

    Collection<RemoteSession> getCurrentSessions(String projectName,
                                                 RemoteSession session)
                                                 throws RemoteException

  Throws:
    `RemoteException`

### killOtherUserSession

    void killOtherUserSession(RemoteSession sessionToKill,
                              RemoteSession session)
                              throws RemoteException

  Throws:
    `RemoteException`

### killOtherUserSession

    void killOtherUserSession(RemoteSession sessionToKill,
                              RemoteSession session,
                              int finalGracePeriod)
                              throws RemoteException

  Throws:
    `RemoteException`

### getAvailableProjectNames

    Collection<String> getAvailableProjectNames(RemoteSession session)
                                                throws RemoteException

  Throws:
    `RemoteException`

### getAvailableProjectInfo

    Collection<ProjectInfo> getAvailableProjectInfo(RemoteSession session)
                                                    throws RemoteException

  Throws:
    `RemoteException`

### openProject

    RemoteServerProject openProject(String projectName,
                                    RemoteSession session)
                                    throws RemoteException

  Throws:
    `RemoteException`

### openMetaProject

    RemoteServerProject openMetaProject(RemoteSession session)
                                        throws RemoteException

  Throws:
    `RemoteException`

### saveMetaProject

    boolean saveMetaProject(RemoteSession session)
                            throws RemoteException

  Throws:
    `RemoteException`

### createProject

    RemoteServerProject createProject(String projectName,
                                      RemoteSession session,
                                      KnowledgeBaseFactory kbfactory,
                                      boolean saveToMetaProject)
                                      throws RemoteException

  Throws:
    `RemoteException`

### getProjectStatus

    ServerProject.ProjectStatus getProjectStatus(String projectName)
                                                 throws RemoteException

  Throws:
    `RemoteException`

### setProjectStatus

    void setProjectStatus(String projectName,
                          ServerProject.ProjectStatus status,
                          RemoteSession session)
                          throws RemoteException

  Throws:
    `RemoteException`

### notifyProject

    void notifyProject(String projectName,
                       String message,
                       RemoteSession session)
                       throws RemoteException

  Throws:
    `RemoteException`

### shutdown

    void shutdown()
                  throws RemoteException

  Throws:
    `RemoteException`

### shutdown

    void shutdown(String projectName,
                  RemoteSession session)
                  throws RemoteException

  Throws:
    `RemoteException`

### shutdownProject

    void shutdownProject(RemoteSession session,
                         String projectName,
                         Integer[] warningTimesInSeconds,
                         int finalGracePeriodInSeconds)
                         throws RemoteException

  Shuts down the remote project with the name projectName and sends shutdown notifications at time periods (in seconds) from the warningTimesInSeconds argument. A `SecurityException` is thrown if the user of the session does not have the right to shutdown the project.

  Parameters:
    `session` - - the session that tries to shutdown the project
    `projectName` - - the remote project name
    `warningTimesInSeconds` - - a list of `Integer` with the notify periods of time in seconds
    `finalGracePeriodInSeconds` - - the time the server will wait until shutting down the project after the last notification message
  Throws:
    `RemoteException`

### shutdownProject

    void shutdownProject(RemoteSession session,
                         String projectName,
                         float warningTimeInSeconds)
                         throws RemoteException

  Shuts down the remote project with the name projectName and sends shutdown notifications at certain time periods: it starts with the warningTimeInSeconds argument and divides it by two. A `SecurityException` is thrown if the user of the session does not have the right to shutdown the project.

  Parameters:
    `session` - - the session that tries to shutdown the project
    `projectName` - - the remote project name
    `warningTimeInSeconds` - - the time of the first notification in seconds
  Throws:
    `RemoteException`

### cancelShutdownProject

    boolean cancelShutdownProject(RemoteSession session,
                                  String projectName)
                                  throws RemoteException

  Throws:
    `RemoteException`

### allowsCreateUsers

    boolean allowsCreateUsers()
                              throws RemoteException

  Throws:
    `RemoteException`

### isOperationAllowed

    boolean isOperationAllowed(RemoteSession session,
                               Operation op,
                               String projectName)
                               throws RemoteException

  Throws:
    `RemoteException`

### isGroupOperationAllowed

    boolean isGroupOperationAllowed(RemoteSession session,
                                    Operation op,
                                    String groupName)
                                    throws RemoteException

  Throws:
    `RemoteException`

### isServerOperationAllowed

    boolean isServerOperationAllowed(RemoteSession session,
                                     Operation op)
                                     throws RemoteException

  Throws:
    `RemoteException`

### isServerOperationAllowed

    boolean isServerOperationAllowed(RemoteSession session,
                                     Operation op,
                                     String serverName)
                                     throws RemoteException

  Throws:
    `RemoteException`

### hasValidCredentials

    boolean hasValidCredentials(String userName,
                                String password)
                                throws RemoteException

  Throws:
    `RemoteException`

### getAllowedOperations

    Collection<Operation> getAllowedOperations(RemoteSession session,
                                               String projectName,
                                               String userName)
                                               throws RemoteException

  Throws:
    `RemoteException`

### executeServerJob

    Object executeServerJob(ServerJob job,
                            RemoteSession session)
                            throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.